The Best Linux Apps & Distros of 2017
======
![best linux distros 2017][1]

**In this post we look back at the best Linux distro and app releases that helped define 2017.**

'2017 was a fantastic year for Ubuntu and for Linux in general. I can't wait to see what comes next'

And boy were there a lot of 'em!

So join us (ideally with from a warm glass of something non-offensive and sweet) as we take a tart look backwards through some key releases from the past 12 months.

This list is not presented in any sort of order, and all of the entries were sourced from **YOUR** feedback to the survey we shared earlier in the week. If your favourite release didn 't make the list, it's because not enough people voted for it!

Regardless of your opinions on the apps and Linux distros that are highlighted I'm sure you'll agree that 2017 was a great year for Linux as a platform and for Linux users.

But enough waffle: on we go!

## Distros

### 1. Ubuntu 17.10 'Artful Aardvark'

[![Ubuntu 17.10 desktop screenshot][3]][4]

There's no doubt about it: Ubuntu 17.10 was the year's **biggest** Linux release  -- by a clear margin.

'Ubuntu 17.10 was the year's biggest Linux distro release'

Canonical [dropped a bombshell in April][5] when it announced it was abandoning its home-grown Unity desktop and jettisoning its (poorly received) mobile ambitions. Most of us were shocked, and few would've been surprised had the distro maker opted to take some time out to figure out what it went next.

But that …That's just not the Ubuntu way.

Canonical dived right into developing Ubuntu 17.10 'Artful Aardvark', healing some long held divisions in the process.

Part reset, part gamble; the Artful Aardvark had the arduous task of replacing the bespoke (patched, forked) Unity desktop with upstream GNOME Shell. It also [opted to make the switch][6] to the new-fangled [Wayland display server protocol][7] by default, too.

Amazingly, thanks a mix of grit and goodwill, it succeeded. The [Ubuntu 17.10 release][8] emerged on time on October 19, 2017 where it was greeted by warm reviews and a sense of relief!

The recurring theme among the [Ubuntu 17.10 reviews][9] was the Artful Aardvark was a real **return to form** for the distro. It got people excited about Ubuntu for the first time in a long time.

And with an long-term support release next up, long may the enthusiasm for it continue!

### 2. Solus 3

[![][10]][11]

We knew 2017 was going to be a big year for the Solus Linux distro, which is why it made our list of [Linux distros we were most excited for][12] this year.

'Solus is fast becoming the Linux aficionados' main alternative to Arch'

Solus is unique distro in that it's not based on another. It uses its home grown Budgie desktop by default, has its own package manager (eopkg) and update procedure, and sets its own criteria for app curation. Solus also backs Canonical's Flatpak rival Snappy.

The [release of Solus 3][13] in the summer was a particular highlight for this upstart distro. The update packs in improvements across the board, touching on everything from kernel security through to multimedia upgrades.

Solus 3 also arrived with [Budgie 10.4][14]. A massive upgrade to this GTK-based desktop environment, Budgie 10.4 brings (among other things) greater customisation, a new Settings app, multiple new panel options, applets and transparency, and an improved Raven sidebar.

Fast becoming the Linux aficionados' main alternative to Arch Linux, Solus is a Linux distro that's going places.

If you like the look of Budgie you can use it on Ubuntu without damaging your existing desktop. See our [how to install Budgie 10.4 on Ubuntu][14] article for all the necessary details.

If you get bored over the holidays I highly recommended you [download the Solus MATE edition][15] too. It combines the strength of Solus with the meticulously maintained MATE desktop, a combination that works incredibly well together.

### 3. Fedora 27

[![][16]][17]

We're not oblivious to what happens beyond the orange bubble and the release of [Fedora 27 Workstation][18] marked another fine update from the folks who like to wear red hats.

Fedora 27 features GNOME 3.26 (and all the niceties that brings, like color emoji support, folder sharing in Boxes, and so on), ships with LibreOffice 5.4, and "simplifies container storage, delivers containerized services by default" using RedHat's use no-cost RHEL Developer subscriptions.

[Redhat Press Release for Fedora 27][19]

## Apps

### 4. Firefox 57 (aka 'Firefox Quantum').

[![firefox quantum on ubuntu][20]][21]

Ubuntu wasn't the only open-source project to undergo something of 'renewal' this year.

'Like Ubuntu, Firefox finally got its mojo back this year'

After years of slow decline and feature creep Mozilla finally did something about Firefox Google Chrome.

Firefox 57 is such a big release that it even has its own name: Firefox Quantum. And the release truly is a quantum leap in performance and responsiveness. The browser is now speedier than Chrome, makes intelligent use of multi-threaded processes, and has a sleek new look that feels right.

Like Ubuntu, Firefox has got its mojo back.

Firefox will roll out support for client side decoration on the GNOME desktop (a feature already available in the latest nightly builds) sometime in 2018. This feature, along with further refinements to the finely-tuned under-the-hood mechanics, will add more icing atop an already fantastic base!

### 5. Ubuntu for Windows

[![][22]][23]

Yes, I know: it's a little bit odd to list a Windows release in a run-down of Linux releases -- but there is a logic to it!

Ubuntu on the Windows Store is an admission writ large that Linux is an integral part of the modern software development

The arrival of [Ubuntu on the Windows Store][24] (along with other Linux distributions) in July was a pretty bizarre sight to see.

Few could've imagined Microsoft would ever accede to Linux in such a visible manner. Remember: it didn't sneak Linux distros in the through the back door, it went out and boasted about it!

Some (perhaps rightly) remain uneasy and/or somewhat suspicious over Microsoft's sudden embrace of 'all things open source'. Me? I'm less concerned. Microsoft isn't the hulking great giant it once was, and Linux has become so ubiquitous that the Redmond-based company simply can't ignore it.

The stocking of Ubuntu, openSUSE and Fedora on the shelves of the Windows Store (albeit for developers) is an admission writ large that Linux is an integral part of the modern software development ecosystem, and one they simply can't replicate, replace or rip-off.

For many regular Linux will always be preferable to the rather odd hybrid that is the Windows Subsystem for Linux (WSL). But for others, mandated to use Microsoft products for work or study, the leeway to use Linux is a blessing.

### 6. GIMP 2.9.6

[![gimp on ubuntu graphic][25]][26]

We've written a fair bit about GIMP this year. The famous image editor has benefit from a spur of development activity.  We started the year off by talking about the [features in GIMP 2.10][27] we were expecting to see.

While GIMP 2.10 itself didn't see release in 2017 two sizeable development updates did: GIMP 2.9.6 & GIMP 2.9.8.

The former of these added ** experimental multi-threading in GEGL** (a fancy way of saying the app can now make better use of multi-core processors). It also added HiDPI tweaks, introduced color coded layer tags, added metadata editor, new filters, crop presets and -- take a breath -- improved the 'quit' dialog.

### 7. GNOME Desktop

[![GNOME 3.26 desktop with apps][28]][29]

While not strictly and app or a distro release, there were 2 GNOME releases in 2017: the feature-filled [GNOME 3.24 release][30] in March; and the iterative follow-up [GNOME 3.26][31] in September.

Both release came packed full of new features, and both bought an assembly of refinements, improvements and adjustments,

**GNOME 3.24 ** features included Night Light, a blue-light filter that can help improve natural sleeping patterns; a new desktop Recipes app; and added short weather forecast snippets to the Message Try.

**GNOME 3.26** built on the preceding release. It improves the look, feel and responsiveness of the GNOME Shell UI; revamped the Settings apps with a new layout and access to more options; integrates Firefox Sync support with the Web browser app; and tweaks the window animation effects (a bit of a trend this year) to create a more fluid feeling desktop.

GNOME isn't stopping there. GNOME 3.28 is due for release in March with plenty more changes, improvements and app updates planned. GNOME 3.28 is looking like it will be used in Ubuntu 18.04 LTS.

### 8. Atom IDE

[![Atom IDE][32]][32]

This year was ripe with code editors, with Sublime Text 3, Visual Studio Code, Atom, Adobe Brackets, Gedit and many others relating updates.

But, for me, it was rather sudden appearance of **Atom IDE ** that caught my attention.

[Atom IDE][33] is a set of packages for the Atom code editor that add more traditional [IDE][34] capabilities like context-aware auto-completion, code navigation, diagnostics, and document formatting.

### 9. Stacer 1.0.8

[![Stacer is an Ubuntu cleaner app][35]][36]

A system cleaner might not sound like the most exciting of tools but **Stacer** makes housekeeping a rather appealing task.

This year the app binned its Electron-built base in favour of a native C++ core, leading to various performance improvements as a result.

Stacer has 8 dedicated sections offering control over system maintenance duties, including:

  * **Monitor system resources including CPU**
  * **Clear caches, logs, obsolete packages etc**
  * **Bulk remove apps and packages**
  * **Add/edit/disable start-up applications**



The app is now my go-to recommendation for anyone looking for an Ubuntu system cleaner. Which reminds me: I should get around to adding the app to our list of ways to [free up space on Ubuntu][37]… Chores, huh?!

### 10. Geary 0.12

[![Geary 0.11 on Ubuntu 16.04][38]][39]

The best alternative to Thunderbird on Linux has to be **Geary, ** the open-source email app that works brilliantly with Gmail and other webmail accounts.

In October [Geary 0.12 was released][40]. This huge update adds a couple of new features to the app and a bucket-load of improvements the ones it already boasts.

Among the (many) highlights in the Geary 0.12:

  * **Inline images in the email composer**
  * **Improved interface when displaying conversations**
  * **Support message archiving for Yahoo! Mail and Outlook.com**
  * **Keyboard navigation for conversations**



Geary 0.12 is available to install on Ubuntu 16.04 LTS and above from the [official Geary PPA][41]. If you're tired of Thunderbird (and the [gorgeous Montrail theme][42] doesn't make it more palatable) I recommend giving Geary a go.

## Other Odds & Ends

I said at the outset that it had been a busy year -- and it really has been. Writing a post like this is always a thankless task. So many app, script, theme, and distribution releases happen throughout the year, the majority bringing plenty to the table. I don't want to miss anyone or anything out -- but I must if I ever want to hit publish!

### Flathub

[![flathub screenshot][43]][44]

All this talk of apps means I have to mention the launch of [Flathub][45] this year.

Flathub is the de facto [Flatpak][46] app store; a centralised repository where the latest versions of your favourite apps live.

Flatpak really needed something like **Flathub** , and so did users. Now it's really easy to install the latest release of a slate of apps on pretty much any Linux distribution, without having to stress about package dependencies or conflicts.

Among the apps you can install from Flathub:

  * **Corebird**
  * **Spotify**
  * **SuperTuxKart**
  * **VLC**
  * **Discord**


  * **Telegram Desktop**
  * **Atom**
  * **GIMP**
  * **Geary**
  * **Skype**



And the list is still growing!

### And! And! And!

Other apps we loved this year include [continued improvement][47]s to the **Corebird** Twitter client, some [useful new options][48] in the animated Gif maker **Peek** , as well as the arrival of Nylas Mail fork **Mailspring ** and the promising GTK audiobook player **Cozy**.

**Skype** bought a [bold new look][49] to VoIP fans on Linux desktops, **LibreOffice** (as always) served up continued improvements, and **Signal** launched a [dedicated desktop app.][50].

A big **CrossOver** update means you can now [run Microsoft Office 2016 on Linux][51]; and we got a handy wizard that makes it easy to [install Adobe Creative Cloud on Linux][52].

**What was your favourite Linux related release of 2017? Let us know in the comments!**

Wondering where the games are? Don't panic! We cover the best Linux games of 2017 in a separate post, which we'll published tomorrow.



--------------------------------------------------------------------------------

via: http://www.omgubuntu.co.uk/2017/12/list-best-linux-distros-apps-2017

作者：[Joey Sneddon][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://plus.google.com/117485690627814051450/?rel=author
[1]:http://www.omgubuntu.co.uk/wp-content/uploads/2017/12/best-linux-distros-2017-750x421.jpg
[2]:http://www.omgubuntu.co.uk/wp-content/uploads/2017/12/best-linux-distros-2017.jpg
[3]:http://www.omgubuntu.co.uk/wp-content/uploads/2017/10/ubuntu-17.10-desktop.jpg (Ubuntu 17.10 desktop screenshot)
[4]:http://www.omgubuntu.co.uk/wp-content/uploads/2017/10/ubuntu-17.10-desktop.jpg
[5]:http://www.omgubuntu.co.uk/2017/04/ubuntu-18-04-ship-gnome-desktop-not-unity
[6]:http://www.omgubuntu.co.uk/2017/08/ubuntu-confirm-wayland-default-17-10
[7]:https://en.wikipedia.org/wiki/Wayland_(display_server_protocol)
[8]:http://www.omgubuntu.co.uk/2017/10/ubuntu-17-10-release-features
[9]:http://www.omgubuntu.co.uk/2017/10/ubuntu-17-10-review-roundup
[10]:http://www.omgubuntu.co.uk/wp-content/uploads/2017/12/Budgie-750x422.jpg
[11]:http://www.omgubuntu.co.uk/wp-content/uploads/2017/12/Budgie.jpg
[12]:http://www.omgubuntu.co.uk/2016/12/6-linux-distributions-2017
[13]:https://solus-project.com/2017/08/15/solus-3-released/
[14]:http://www.omgubuntu.co.uk/2017/08/install-budgie-desktop-10-4-on-ubuntu
[15]:https://soluslond1iso.stroblindustries.com/Solus-3-MATE.iso
[16]:http://www.omgubuntu.co.uk/wp-content/uploads/2017/11/firefox-csd-fedora-from-reddit-750x415.png
[17]:http://www.omgubuntu.co.uk/wp-content/uploads/2017/11/firefox-csd-fedora-from-reddit.png
[18]:https://fedoramagazine.org/whats-new-fedora-27-workstation/
[19]:https://www.redhat.com/en/about/press-releases/fedora-27-now-generally-available (Redhat Press Release )
[20]:http://www.omgubuntu.co.uk/wp-content/uploads/2017/11/firefox-quantum-ubuntu-screenshot-750x448.jpg (Firefox 57 screenshot on Linux)
[21]:http://www.omgubuntu.co.uk/wp-content/uploads/2017/11/firefox-quantum-ubuntu-screenshot.jpg
[22]:http://www.omgubuntu.co.uk/wp-content/uploads/2017/07/windows-facebook-750x394.jpg
[23]:http://www.omgubuntu.co.uk/wp-content/uploads/2017/07/windows-facebook.jpg
[24]:http://www.omgubuntu.co.uk/2017/07/ubuntu-now-available-windows-store
[25]:http://www.omgubuntu.co.uk/wp-content/uploads/2017/01/gimp-750x422.jpg
[26]:http://www.omgubuntu.co.uk/wp-content/uploads/2017/01/gimp.jpg
[27]:http://www.omgubuntu.co.uk/2017/01/plans-for-gimp-2-10
[28]:http://www.omgubuntu.co.uk/wp-content/uploads/2017/09/GNOME-326-apps-750x469.jpg
[29]:http://www.omgubuntu.co.uk/wp-content/uploads/2017/09/GNOME-326-apps.jpg
[30]:http://www.omgubuntu.co.uk/2017/03/gnome-3-24-released-new-features
[31]:http://www.omgubuntu.co.uk/2017/09/gnome-3-26-officially-released
[32]:https://i.imgur.com/V9DTnL3.jpg
[33]:http://blog.atom.io/2017/09/12/announcing-atom-ide.html
[34]:https://en.wikipedia.org/wiki/Integrated_development_environment
[35]:http://www.omgubuntu.co.uk/wp-content/uploads/2017/08/stacer-ubuntu-cleaner-app-350x200.jpg
[36]:http://www.omgubuntu.co.uk/wp-content/uploads/2017/08/stacer-ubuntu-cleaner-app.jpg
[37]:http://www.omgubuntu.co.uk/2016/08/5-ways-free-up-space-on-ubuntu
[38]:http://www.omgubuntu.co.uk/wp-content/uploads/2016/05/geary-11-1-350x200.jpg
[39]:http://www.omgubuntu.co.uk/wp-content/uploads/2016/05/geary-11-1.jpg
[40]:http://www.omgubuntu.co.uk/2017/10/install-geary-0-12-on-ubuntu
[41]:https://launchpad.net/~geary-team/+archive/ubuntu/releases
[42]:http://www.omgubuntu.co.uk/2017/04/a-modern-thunderbird-theme-font
[43]:http://www.omgubuntu.co.uk/wp-content/uploads/2017/09/flathub-apps-750x345.jpg
[44]:http://www.omgubuntu.co.uk/wp-content/uploads/2017/09/flathub-apps.jpg
[45]:http://www.flathub.org/
[46]:https://en.wikipedia.org/wiki/Flatpak
[47]:http://www.omgubuntu.co.uk/2017/10/gtk-twitter-app-corebird-pushed-new-release
[48]:http://www.omgubuntu.co.uk/2017/11/linux-release-roundup-peek-gthumb-more
[49]:http://www.omgubuntu.co.uk/2017/10/new-look-skype-for-desktop-released
[50]:http://www.omgubuntu.co.uk/2017/11/signal-desktop-app-released
[51]:http://www.omgubuntu.co.uk/2017/12/crossover-17-linux
[52]:http://www.omgubuntu.co.uk/2017/10/install-adobe-creative-cloud-linux
