translate by cyleft
10 Reasons Why Linux Is Better Than Windows
======
It is often seen that people get confused over choosing Windows or Linux as host operating system in both

[server][1]

and desktop spaces. People will focus on aspects of cost, the functionality provided, hardware compatibility, support, reliability, security, pre-built software, cloud-readiness etc. before they finalize. In this regard, this article covers ten reasons of using Linux over Windows.

## 10 Reasons Why Linux Is Better Than Windows

### 1. Total cost of ownership

 ![linux less costly than windows](http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/published/linux-less-costly-than-windows.jpg?1514905265) 

The most obvious advantage is that Linux is free whereas Windows is not.  Windows license cost is different for both desktop and server versions.  In case of Linux OS either it can be desktop or server, distro comes with no cost.  Not only the OS even the related applications are completely free and open source.

For personal use, a single Windows OS license fee may appear inexpensive but when considered for business, more employees means more cost.  Not only the OS license cost, organization need to be ready to pay for applications like MS Office, Exchange, SharePoint that run on Windows.

​

In Windows world, you cannot modify the OS as its source code is not open source. Same is the case with proprietary applications running on it. However, in case of Linux, a user can download even the source code of a Linux OS, change it and use it spending no money.  Though some Linux distros charge for support, they are inexpensive when compared to Windows license price.

### 2. Beginner friendly and easy to use

 [![linux mint easy to use](http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/linux-mint-easy-to-use_orig.jpg)][2] 

Windows OS is one of the simplest desktop OS available today.  Its graphical user-friendliness is exceptional. Though Windows has a relatively minimal learning curve, Linux distros like Ubuntu, Elementary OS, Linux Mint etc. are striving to improve the user experience that makes transition from Windows to Linux become smooth and easy.

​

Linux distros allow user to choose one of the various desktop environments available:

[Cinnamon][3]

,

[MATE][4]

,

[KDE][5]

,

[Xfce][6]

, LXDE, GNOME etc. If a Windows user is looking to migrate to Linux,

[WINE][7]

(Wine Is Not an Emulator) can be installed to have a feel of MS Windows on a Linux system.

### 3. Reliability

Linux is more reliable when compared to Windows. Linux will rock with its top-notch design, built-in security resulting un-parallel up-time.  Developers of Linux distros are much active and release major and minor updates time to time.  Traditionally Unix-like systems are known for running for years without a single failure or having a situation which demands a restart. This is an important factor especially choosing a server system.  Definitely Linux being a UNIX-like system, it will be a better choice.

### 4. Hardware

 [![linux better hardware support](http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/linux-better-hardware-support_orig.jpg)][8] 

Linux systems are known for consuming fewer system resources (RAM, disk space etc.) when compared to Windows.  Hardware vendors already realized the popularity of Linux and started making Linux compliant hardware/drivers. When running the OS on older hardware, Windows is slower.

​

Linux distros like Lubuntu, Knoppix, LXLE, antiX, Puppy Linux are best suitable for aging machines.  Old horses like 386 or 486 machines with decent RAM (>= 124/256) can run Linux.

### 5. Software

No doubt that Windows has a large set of commercial software available.  Linux, on the other hand, makes use of open source software available for free.  Linux armed with easy to use package managers which aid in installing and un-installing desired software applications. Linux is armed with decent desktop themes certainly run faster than Windows.  

​

For developers, the Linux terminal offers superior environment when compared to Windows.  The exhaustive GNU compilers and utilities will be definitely useful for programming. Administrators can make use of package managers to manage software and of course, Linux has the unbeatable CLI interface.

​

Have you heard about Tiny Core Linux? It comes at only 11MB size with the graphical desktop environment.  You can choose to install from the hundreds of available Linux distros based on your need.  Following table presents a partial list of Linux distros filtered based on need:

 [![linux vast software support](http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/linux_1_orig.png)][9] 

### 6. Security

 [![linux is more secure than windows](http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/published/linux-is-more-secure-than-windows.jpeg?1514906182)][10] 

Microsoft Windows OS is infamous for being vulnerable to malware, trojans, and viruses.  Linux is almost non-vulnerable and more secure due to its inherent design. Linux does not require the use of commercial anti-virus/anti-malware packages.

Linux respects privacy. Unlike windows, it does not generate logs and upload data from your machine. A user should be well aware of Windows privacy policy.

### 7. Freedom

Linux can be installed and used it as a desktop, firewall, a file server, or a web server.  Linux allows a user to control every aspect of the operating systems. As Linux is an open-source operating system, it allows a user to modify its source (even source code of applications) itself as per the user requirements.  Linux allows the user to install only the desired software nothing else (no bloatware). Linux allows full freedom to install open source applications its vast repository. Windows will bore you with its default desktop theme whereas with Linux you can choose from many desktop themes available.

​You can breathe fresh air after choosing a Linux distro from an available list of Linux distros.

With USB live-mode option, you can give a try to test a Linux distro before you finalize one for you.  Booting via live-mode does not install the OS on a hard disk. Just go and give a try, you will fall in love. 

### 8. Annoying crashes and reboots

There are times when Windows suddenly shows an annoying message saying that the machine needs to be restarted. Apart from showing “Applying update of 5 of 361.” kind messages,  Windows will confuse you with several types of updates critical, security, definition, update rollup, service pack, tool, feature pack.  I did not remember how many times the Windows rebooted last time to apply an update.

When undergoing a software update or installing/uninstalling software on Linux systems, generally it does not need a machine reboot.  Most of the system configuration changes can be done while the system is up.

### 9. Server segment

 [![linux server](http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/linux-server_orig.jpg)][11] 

Linux is installed on the majority of servers demonstrating that it is the best choice with the minimal resource footprint. Even rivals are using Linux on their offerings.  As software applications are moving to cloud platforms, windows servers are getting phased out to make room for Linux servers. Majority of the supercomputers to run on Linux.

Though the battle between Linux and Windows continue in desktop-segment when comes to server-segment Linux evolves as a clear winner. Organizations rely on servers because they want their applications to run 24x7x365 with no or limited downtime. Linux already became favorite of most of the datacenters.  

### 10. Linux is everywhere

 [![linux is everywhere](http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/linux-is-everywhere_orig.jpg)][12] 

Yes, Linux is everywhere. From smallest device to largest supercomputers, Linux is everywhere.  It can be a car, router, phone, medical devices, plane, TV, satellite, watch or school tablet, Linux will be there.

The inventor Linus Torvalds himself would not have imagined about this kind of success when he was writing the Linux kernel first time. Kudos to Linus and Stallman for their contribution.

## Conclusion

​There is a saying - variety is the spice of life.  It is true with respect to Linux distros.  There are more than 600 active different distros to choose. Each is different on its own and meant for the specific purpose.  Linux distros are highly customizable when compared to Windows.  The above reasons mentioned are is just the tip of the iceberg. There is so much more than you could with Linux. Linux is powerful, flexible, secure, reliable, stable, fun… than Windows. One should always keep in mind that - free is not the best just like expensive is not the best.  Linux will undoubtedly emerge as the winner when all aspects are considered. There is no reason why you would not choose Linux instead of Windows.  Let us know your thoughts how you feel about Linux.

--------------------------------------------------------------------------------

via: http://www.linuxandubuntu.com/home/10-reasons-why-linux-is-better-than-windows

作者：[Ramakrishna Jujare][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:http://www.linuxandubuntu.com
[1]:http://www.linuxandubuntu.com/home/how-to-configure-sftp-server-on-centos
[2]:http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/linux-mint-easy-to-use_orig.jpg
[3]:http://www.linuxandubuntu.com/home/cinnamon-desktop-the-best-desktop-environment-for-new-linux-user
[4]:http://www.linuxandubuntu.com/home/linuxandubuntu-review-of-ubuntu-mate-1710
[5]:http://www.linuxandubuntu.com/home/best-kde-linux-distributions-for-your-desktop
[6]:http://www.linuxandubuntu.com/home/xfce-desktop-environment-a-linux-desktop-environment-for-everyone
[7]:http://www.linuxandubuntu.com/home/how-to-install-wine-and-run-windows-apps-in-linux
[8]:http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/linux-better-hardware-support_orig.jpg
[9]:http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/linux_1_orig.png
[10]:http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/edited/linux-is-more-secure-than-windows.jpeg
[11]:http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/linux-server_orig.jpg
[12]:http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/linux-is-everywhere_orig.jpg
